```
USAGE:
    unimelb-mf-check [OPTIONS] --direction <up|down> --output <output.csv> <dir1> <namespace1> [<dir2> <namespace2>...]

DESCRIPTION:
    Compare files in local directory with assets in remote Mediaflux asset namespace and generates a list of the differences.

OPTIONS:
    --mf.config <mflux.cfg>                   Path to the config file that contains Mediaflux server details and user credentials.
    --mf.host <host>                          Mediaflux server host.
    --mf.port <port>                          Mediaflux server port.
    --mf.transport <https|http|tcp/ip>        Mediaflux server transport, can be http, https or tcp/ip.
    --direction <up|down>                     Direction: up/down.
    -o, --output <output.csv>                 Output CSV file.
    --detailed-output                         Include all files checked. Otherwise, only the missing or invalid files are included in the output.
    --compress-output                         Compress output CSV file to GZIP format(.csv.gz).
    --no-csum-check                           Files are equated if the name, size and CRC32 checksum are the same. With this argument, you can exclude the CRC32 checksum comparison.
    --nb-queriers <n>                         Number of query threads. Defaults to 1. Maximum is 4
    --nb-workers <n>                          Number of concurrent worker threads to read local file (to generate checksum) if needed. Defaults to 1. Maximum is 8
    --nb-retries <n>                          Retry times when error occurs. Defaults to 0
    --batch-size <size>                       Size of the query result. Defaults to 1000
    --follow-symlinks                         Follow symbolic links.
    --quiet                                   Do not print progress messages.
    --help                                    Prints usage.
    --version                                 Prints version.

POSITIONAL ARGUMENTS:
    <dir>                                     Local directory path.
    <namespace>                               Remote Mediaflux namespace path.

EXAMPLES:
    unimelb-mf-check --mf.config ~/.Arcitecta/mflux.cfg --direction down --output ~/Documents/foo-download-check.csv ~/Documents/foo /projects/proj-1.2.3/foo
```
